Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-alt
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-alt@g.o
From: Fran├žois Bissey <francois.bissey@...>
Subject: problems getting a prefix on aix-6.1
Date: Fri, 08 Jun 2012 12:13:57 +1200
Hi,

I have all sorts problems trying to set up a prefix on aix (6.1 with as fix, so
gcc works).
I have been trying to use prefix-launcher both 2.2.2 and localy compiled 2.3.0.
There are a lot of ebuilds masked by EAPI=4, as the bootstrap portage only
support EAPI=<3. With 2.2.2 I had troubles with pkg-config, I manually edited
the ebuild to EAPI 3 but then it needed glib2 and the glib2 rpm I got from IBM 
linux toolbox are not helpful.
With 2.3.0 all versions of perl are masked either by missing keywords or 
EAPI=4. I tried to get it going with ** in package.keywords but it fails to
link properly because it calls gcc with some raw linker flags (-bxxx not 
preceded by -Wl,).

Does bootstrapping on aix require special instructions that I have missed?

Francois


Replies:
Re: problems getting a prefix on aix-6.1
-- Michael Haubenwallner
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Emerging subversion - Failed to emerge dev-libs/apr-1.4.6
Next by thread:
Re: problems getting a prefix on aix-6.1
Previous by date:
Re: Emerging subversion - Failed to emerge dev-libs/apr-1.4.6
Next by date:
Re: Emerging subversion - Failed to emerge dev-libs/apr-1.4.6


Updated Jun 18, 2012

Summary: Archive of the gentoo-alt mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.